Gmagick::shearimage
Gmagick::spreadimage
Gmagick
PHP Manual

# Gmagick::solarizeimage

Applies a solarizing effect to the image

### Description

public Gmagick Gmagick::solarizeimage ( int `$threshold` )

Applies a special effect to the image, similar to the effect achieved in a photo darkroom by selectively exposing areas of photo sensitive paper to light. Threshold ranges from 0 to QuantumRange and is a measure of the extent of the solarization.

### Parameters

`threshold`

  Define the extent of the solarization.

### Return Values

The Gmagick object on success.

### Errors/Exceptions

Throws an GmagickException on error.